/// <reference types="react" />
import { RangeTime, DateNullTuple, SingleTime } from '../types';
export default function useTimeValue<T = SingleTime>(defaultValue: T, value?: T): {
    selected: T;
    setSelected: import("react").Dispatch<import("react").SetStateAction<T>>;
};
export declare function parseSelectedToRangeDate(value: RangeTime, format: string, selectedDate: Date): DateNullTuple;
